
Foreman - Feature #2533

Operation FAILED: NET::ERROR when dns lookups fail.  Maybe a more descriptive error?

05/21/2013 10:53 AM - michael montgomery

Status: Duplicate   

Priority: Low   

Assignee:    

Category: DNS   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When adding a new host, and foreman fails to query the authoritative dns server(s), you get a full failure below.  Should this error be

a little more descriptive?  It's quite difficult to understand that a dns query simply failed.  (in our case, the firewall was blocking the

request)

Started POST "/hosts" for 192.168.100.46 at Tue May 21 09:19:49 -0500 2013

Processing by HostsController#create as

Parameters: {"host"=>{"build"=>"1", "compute_attributes"=>{"volumes_attributes"=>{"0"=>{"_delete"=>"", "name"=>"Hard disk",

"size_gb"=>"20", "datastore"=>"DEV-NFS-VMDK-DATA1"}, "new_volumes"=>{"_delete"=>"", "name"=>"Hard disk", "size_gb"=>"10",

"datastore"=>"DEV-NFS-VMDK-DATA1"}}, "path"=>"/Datacenters/Dev/vm/DEV.LAB", "memory_mb"=>"768", "start"=>"1",

"cpus"=>"1", "cluster"=>"Dev General Use", "interfaces_attributes"=>{"new_interfaces"=>{"_delete"=>"", "network"=>"Dev VM

10.10.40.0"}, "0"=>{"_delete"=>"", "network"=>"Dev VM 10.10.40.0"}}}, "updated_at"=>"1369145851", "root_pass"=>"[FILTERED]",

"puppet_proxy_id"=>"2", "ip"=>"10.10.40.233", "provision_method"=>"build", "ptable_id"=>"11", "managed"=>"true",

"progress_report_id"=>"[FILTERED]", "compute_resource_id"=>"1", "domain_id"=>"1", "medium_id"=>"6", "disk"=>"",

"comment"=>"", "name"=>"devt-bus-jnk001", "environment_id"=>"4", "model_id"=>"", "mac"=>"", "subnet_id"=>"2", "enabled"=>"1",

"overwrite"=>"false", "puppetclass_ids"=>[""], "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "ip"=>"",

"domain_id"=>"1", "provider"=>"IPMI", "name"=>"", "mac"=>"", "type"=>"Nic::Managed"}}, "operatingsystem_id"=>"1",

"hostgroup_id"=>"44", "architecture_id"=>"1"}, "authenticity_token"=>"AZhLndXgF2yMN3eV4iddK8sUQ2DKKnumvKW6lgG9aps=",

"capabilities"=>"build", "utf8"=>"âœ“"}

User Load (1.2ms)  SELECT `users`.* FROM `users` WHERE `users`.`id` = 1 LIMIT 1

Setting current user thread-local variable to admin

SQL (1.3ms)  BEGIN

SQL (1.1ms)  COMMIT

SQL (0.7ms)  BEGIN

Hostgroup Load (0.8ms)  SELECT `hostgroups`.* FROM `hostgroups` WHERE `hostgroups`.`id` = 44 AND (1=1) LIMIT 1

Environment Load (1.8ms)  SELECT `environments`.* FROM `environments` WHERE `environments`.`id` = 4 ORDER BY

environments.name LIMIT 1

Domain Load (2.3ms)  SELECT `domains`.* FROM `domains` WHERE `domains`.`id` = 1 ORDER BY LOWER LIMIT 1

SmartProxy Load (1.7ms)  SELECT `smart_proxies`.* FROM `smart_proxies` WHERE `smart_proxies`.`id` = 2 ORDER BY LOWER

LIMIT 1

CACHE (0.0ms)  SELECT `smart_proxies`.* FROM `smart_proxies` WHERE `smart_proxies`.`id` = 2 ORDER BY LOWER LIMIT 1

Operatingsystem Load (2.3ms)  SELECT `operatingsystems`.* FROM `operatingsystems` WHERE `operatingsystems`.`id` = 1

ORDER BY LOWER LIMIT 1

Architecture Load (2.0ms)  SELECT `architectures`.* FROM `architectures` WHERE `architectures`.`id` = 1 LIMIT 1

ComputeResource Load (2.1ms)  SELECT `compute_resources`.* FROM `compute_resources` WHERE `compute_resources`.`id` =

1 ORDER BY LOWER LIMIT 1

Medium Load (1.3ms)  SELECT `media`.* FROM `media` WHERE `media`.`id` = 6 ORDER BY LOWER LIMIT 1

Ptable Load (3.4ms)  SELECT `ptables`.* FROM `ptables` WHERE `ptables`.`id` = 11 ORDER BY LOWER LIMIT 1

Subnet Load (0.7ms)  SELECT `subnets`.* FROM `subnets` WHERE `subnets`.`id` = 2 ORDER BY vlanid LIMIT 1

Setting Load (0.7ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'use_uuid_for_certificates' ORDER BY

LOWER LIMIT 1

SQL (1.6ms)  SELECT 1 FROM `hosts` WHERE (`hosts`.`name` = BINARY 'devt-bus-jnk001.dev.lab') LIMIT 1

SmartProxy Load (0.8ms)  SELECT `smart_proxies`.* FROM `smart_proxies` WHERE `smart_proxies`.`id` = 11 ORDER BY LOWER

LIMIT 1

SQL (0.9ms)  SELECT 1 FROM `hosts` WHERE (`hosts`.`ip` = BINARY '10.10.40.233') LIMIT 1

Scheduling new DHCP reservations for devt-bus-jnk001.dev.lab

SmartProxy Load (1.4ms)  SELECT `smart_proxies`.* FROM `smart_proxies` WHERE `smart_proxies`.`id` = 10 ORDER BY LOWER
LIMIT 1

Setting Load (0.9ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'query_local_nameservers' ORDER BY

LOWER LIMIT 1

SQL (1.3ms)  ROLLBACK

Operation FAILED: #<Net::Error:0x7f672259cff0>

/usr/share/foreman/lib/net/dns.rb:36:in `lookup'

/usr/share/foreman/lib/net/dns.rb:61:in `dns_lookup'

/usr/share/foreman/lib/net/dns/a_record.rb:28:in `conflicts'

/usr/share/foreman/lib/net.rb:27:in `conflicting?'

/usr/share/foreman/app/models/orchestration/dns.rb:124:in `dns_conflict_detected?'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:456:in `_run_validation_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activemodel-3.0.20/lib/active_model/validations/callbacks.rb:67:in `run_validations!'

/usr/share/foreman/vendor/ruby/1.8/gems/activemodel-3.0.20/lib/active_model/validations.rb:179:in `valid?'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/validations.rb:55:in `valid?'

/usr/share/foreman/app/models/orchestration.rb:50:in `valid?'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/validations.rb:75:in `perform_validations'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/validations.rb:43:in `save'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/attribute_methods/dirty.rb:21:in `save'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/transactions.rb:240:in `save'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/transactions.rb:292:in

`with_transaction_returning_status'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/connection_adapters/abstract/database_statements.r

b:139:in `transaction'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/transactions.rb:207:in `transaction'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/transactions.rb:290:in

`with_transaction_returning_status'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/transactions.rb:240:in `save'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/transactions.rb:251:in `rollback_active_record_state!'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/transactions.rb:239:in `save'

/usr/share/foreman/app/controllers/hosts_controller.rb:89:in `create'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/base.rb:150:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/rendering.rb:11:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/callbacks.rb:18:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:469:in

`_run__1151525278__process_action__764201132__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:221:in

`_conditional_callback_around_4431'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:331:in `around'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:315:in `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:315:in `_callback_around_1458'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:220:in

`_conditional_callback_around_4431'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:468:in

`_run__1151525278__process_action__764201132__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:221:in

`_conditional_callback_around_4430'

/usr/share/foreman/lib/foreman/thread_session.rb:31:in `clear_thread'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:220:in

`_conditional_callback_around_4430'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:437:in

`_run__1151525278__process_action__764201132__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:221:in

`_conditional_callback_around_4429'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:331:in `around'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:315:in `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:315:in `_callback_around_13'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:220:in

`_conditional_callback_around_4429'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:436:in

`_run__1151525278__process_action__764201132__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:410:in `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:410:in

`_run_process_action_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:94:in `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:94:in `run_callbacks'
/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/callbacks.rb:17:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/rescue.rb:17:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/instrumentation.rb:30:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/notifications/instrumenter.rb:21:in `instrument'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/instrumentation.rb:29:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/base.rb:119:in `process'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/rendering.rb:41:in `process'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal.rb:138:in `dispatch'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_controller/metal.rb:178:in `action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/routing/route_set.rb:68:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/routing/route_set.rb:68:in `dispatch'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/routing/route_set.rb:33:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-mount-0.6.14/lib/rack/mount/route_set.rb:148:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:93:in `recognize'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:229:in `optimized_each'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:92:in `recognize'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-mount-0.6.14/lib/rack/mount/route_set.rb:139:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/routing/route_set.rb:499:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/apipie-rails-0.0.13/lib/apipie/static_dispatcher.rb:57:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/head.rb:14:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/methodoverride.rb:24:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/params_parser.rb:21:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/flash.rb:182:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/cookies.rb:302:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/query_cache.rb:32:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/connection_adapters/abstract/query_cache.rb:28:in

`cache'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/query_cache.rb:12:in `cache'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/query_cache.rb:31:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.0.20/lib/active_record/connection_adapters/abstract/connection_pool.rb:354

:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/callbacks.rb:46:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:416:in `_run_call_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/callbacks.rb:44:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/sendfile.rb:106:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/remote_ip.rb:48:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.0.20/lib/rails/rack/logger.rb:13:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/runtime.rb:17:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.0.20/lib/active_support/cache/strategy/local_cache.rb:72:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/lock.rb:13:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/lock.rb:13:in `synchronize'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/lock.rb:13:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/static.rb:30:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.0.20/lib/rails/application.rb:168:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.0.20/lib/rails/application.rb:77:in `send'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.0.20/lib/rails/application.rb:77:in `method_missing'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/urlmap.rb:47:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/urlmap.rb:41:in `each'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.2.8/lib/rack/urlmap.rb:41:in `call'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:118:in `run'

/usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:65:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:58:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:41:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:159:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'
/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendered common/500.rhtml (4.0ms)

Completed 500 Internal Server Error in 3221ms (Views: 8.1ms | ActiveRecord: 32.1ms)

Related issues:

Has duplicate Foreman - Refactor #11709: Improve DNS conflict timeout handling Closed 09/07/2015

History

#1 - 09/07/2015 08:48 AM - Lukas Zapletal

- Status changed from New to Duplicate

Fixed in #11709

#2 - 09/07/2015 08:49 AM - Lukas Zapletal

- Has duplicate Refactor #11709: Improve DNS conflict timeout handling added
